## samba 3.4.3-maemo2

=== debian/changelog ===
samba (3.4.3-maemo2) unstable; urgency=low

  * Removed missing dependancy
  * Updated control fields for Maemo fields

 -- Nathan Anderson <nathan@andersonsplace.net>  Fri, 15 Jan 2010 22:00:00 -0500
