=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: samba
 Section: net
 Priority: optional
-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
-Uploaders: Steve Langasek <vorlon@debian.org>, Christian Perrier <bubulle@debian.org>, Noèl Köthe <noel@debian.org>, Jelmer Vernooij <jelmer@debian.org>
+Maintainer: Nathan Anderson <nathan@andersonsplace.net>
+XSBC-Original-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
+Uploaders: Steve Langasek <vorlon@debian.org>, Christian Perrier <bubulle@debian.org>, Noèl Köthe <noel@debian.org>, Jelmer Vernooij <jelmer@debian.org>>
 Build-Depends: debhelper (>= 5.0.0), libreadline5-dev,
 	libacl1-dev  [alpha amd64 arm armeb armel avr32 hppa i386 ia64 lpia m32r m68k mips mipsel powerpc ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc],
 	po-debconf, libpopt-dev, uuid-dev,
@@ -12,6 +13,7 @@
 Homepage: http://www.samba.org
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-samba/trunk/samba/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-samba/trunk/samba
+XSBC-Bugtracker: nathan@andersonsplace.net
 
 Package: samba
 Architecture: any
