## samba 3.4.7~dfsg

=== debian/changelog ===
samba (2:3.4.7~dfsg-1ubuntu3.6) lucid-proposed; urgency=low

  * debian/patches/backport-lp558793.patch: Fixes net ads dns register
    failing with Windows 2008 R2 domain. Backported from 
    v3-4-stable tree (aaf6e34115c2bece85d0dc4f11951b38e9d77637
    and 0e1aec461ed69c82987cf86e6b1beb6862cc0fb4). (LP: #558793)
  * debian/patches/backport-lp736757.patch: Fix regression introduced
    by previous SRU bug fix. Backported from the v3-4-stable tree
    (995e7e500327e662b7ef2b37c83c92e75f2360bf) (LP: #736757)

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 13 Apr 2011 11:13:44 -0400

samba (2:3.4.7~dfsg-1ubuntu3.5) lucid-proposed; urgency=low

  * debian/patches/ntlm-auth-lp623342.patch: ntlm_auth returns an invalid
    response key. (LP: #623342) Patch taken from upstream
    (https://bugzilla.samba.org/show_bug.cgi?id=7568)

 -- Stefano Rivera <stefanor@ubuntu.com>  Wed, 02 Mar 2011 22:40:42 +0100

samba (2:3.4.7~dfsg-1ubuntu3.4) lucid-security; urgency=low

  * SECURITY UPDATE: denial of service via missing range checks on file
    descriptors
    - debian/patches/security-CVE-2011-0719.patch: validate miscellaneous
      file descriptors.
    - CVE-2011-0719

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 23 Feb 2011 13:19:19 -0500

samba (2:3.4.7~dfsg-1ubuntu3.3) lucid-proposed; urgency=low

  * debian/patches/spnego-auth-win7.patch: SPNEGO auth fails when contacting Win7
    system using Microsoft Live Sign-in Assistant. (LP: #458637). Patch taken
    from upstream (https://bugzilla.samba.org/show_bug.cgi?id=7577)

 -- PhobosK <phobosk@kbfx.net>  Fri, 16 Jan 2010 07:52:30 +0300

samba (2:3.4.7~dfsg-1ubuntu3.2) lucid-security; urgency=low

  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via large number of SID sub authorities
    - debian/patches/security-CVE-2010-3069.patch: limit number of SID
      sub authorities in libcli/security/dom_sid.*, source3/lib/util_sid.c,
      source3/libads/ldap.c, source3/libsmb/cliquota.c,
      source3/smbd/nttrans.c.
    - CVE-2010-3069

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 09 Sep 2010 09:54:22 -0400

samba (2:3.4.7~dfsg-1ubuntu3.1) lucid-proposed; urgency=low

  * debian/control: Add samba-common-bin to samba. (LP: #572410)

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 16 Jul 2010 13:25:12 -0400

samba (2:3.4.7~dfsg-1ubuntu3) lucid; urgency=low

  * debian/winbind.pam-config: Fix potential breakage with stacking of
    lower-priority modules in common-passwd (LP: #556996)

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Fri, 09 Apr 2010 16:50:07 +0200

samba (2:3.4.7~dfsg-1ubuntu2) lucid; urgency=low

  * debian/winbind.pam-config: Fix password PAM profile for winbind, thanks to
    Steve Langasek for investigation and fix (LP: #546874)
  * debian/winbind.prerm, debian/winbind.postinst: Enable and disable winbind
    PAM profile on package install/removal (LP: #556342)

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Tue, 06 Apr 2010 11:59:54 +0200

samba (2:3.4.7~dfsg-1ubuntu1) lucid; urgency=low

  * Merge from debian testing.  Remaining changes:
    + debian/patches/VERSION.patch:
      - set SAMBA_VERSION_SUFFIX to Ubuntu.
    + debian/smb.conf:
      - Add "(Samba, Ubuntu)" to server string.
      - Comment out the default [homes] share, and add a comment about "valid users = %s"
        to show users how to restrict access to \\server\username to only username.
      - Set 'usershare allow guests', so that usershare admins are allowed to create
        public shares in additon to authenticated ones.
      - add map to guest = Bad user, maps bad username to gues access.
    + debian/samba-common.conf:
      - Do not change priority to high if dhclient3 is installed.
      - Use priority medium instead of high for the workgroup question.
    + debian/mksambapasswd.awk:
      - Do not add user with UID less than 1000 to smbpasswd.
    + debian/control:
      - Make libswbclient0 replace/conflict with hardy's likewise-open.
      - Don't build against ctdb, since its not in main yet.
    + debian/rules:
      - Enable "native" PIE hardening.
      - Add BIND_NOW to maximize benefit of RELRO hardening.
    + Add ufw integration:
      - Created debian/samba.ufw.profile.
      - debian/rules, debian/samba.dirs, debian/samba.files: install
    + Add apport hook:
      - Created debian/source_samba.py.
      - debian/rules, debian/samba.dirs, debian/samba-common-bin.files: install
    + debian/control: Recommend keyutils for smbfs (LP: #493565)
    + debian/patches/ubuntu-gecos-fix.patch: Fix gecos parsing backported from Samba 3.5.x (LP: #182572)
    + debian/samba.postinst: Avoid scary pdbedit warnings on first import. (LP: #24741)
    + debian/samba.logrotate: Make it upstart compatible (LP: #529290)
    + debian/samba-common.dhcp: Fix typo to get a proper parsing in /etc/samba/dhcp. (LP: #507374)
    + Dropped:
      debian/patches/debian/patches/security-CVE-2010-0728.patch: Included upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 19 Mar 2010 21:17:40 +0000

samba (2:3.4.7~dfsg-1) unstable; urgency=low

  [ Steve Langasek ]
  * Add a PAM profile for pam_winbind.  Closes: #566890, LP: #282751.
  * Add the correct versioned build dependency on libtalloc-dev as
    we need 2.0.1 to build samba. Closes: #572603
  * Add avr32 to arches with a build dependency on ctdb. Closes: #572126

  [ Christian Perrier ] 
  * New upstream release. Security fix: all smbd processes inherited
    CAP_DAC_OVERRIDE capabilities, allowing all file system access to be
    allowed even when permissions should have denied access.

 -- Christian Perrier <bubulle@debian.org>  Tue, 09 Mar 2010 10:52:24 +0100

samba (2:3.4.6~dfsg-1ubuntu3) lucid; urgency=low

  [Thierry Carrez]
  * debian/samba.postinst: Avoid scary pdbedit warnings on first import
    (LP: #24741)

  [Chuck Short]
  * debian/samba.logrotate: Make it upstart compatible (LP: #529290)

