=== debian/control ===
--- 
+++ 
@@ -1,25 +1,28 @@
 Source: samba
 Section: net
 Priority: optional
-Maintainer: Nathan Anderson <nathan@andersonsplace.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
-Uploaders: Steve Langasek <vorlon@debian.org>, Christian Perrier <bubulle@debian.org>, Noèl Köthe <noel@debian.org>, Jelmer Vernooij <jelmer@debian.org>>
-Build-Depends: debhelper (>= 5.0.0), libreadline5-dev,
+Uploaders: Steve Langasek <vorlon@debian.org>, Christian Perrier <bubulle@debian.org>, Noèl Köthe <noel@debian.org>, Jelmer Vernooij <jelmer@debian.org>
+Build-Depends: debhelper (>= 6.0.7~), libpam0g-dev, libreadline-dev,
+	libcups2-dev | libcupsys2-dev,
 	libacl1-dev  [alpha amd64 arm armeb armel avr32 hppa i386 ia64 lpia m32r m68k mips mipsel powerpc ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc],
-	po-debconf, libpopt-dev, uuid-dev,
+	libkrb5-dev, libldap2-dev, po-debconf, libpopt-dev, uuid-dev,
+	libtalloc-dev (>= 2.0.1-1~bpo50+1),
+	libcap2-dev  [alpha amd64 arm armeb armel avr32 hppa i386 ia64 lpia m32r m68k mips mipsel powerpc ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc],
+	libkeyutils-dev  [alpha amd64 arm armeb armel avr32 hppa i386 ia64 lpia m32r m68k mips mipsel powerpc ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc],
 	pkg-config
 Build-Conflicts: libfam-dev
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Homepage: http://www.samba.org
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-samba/trunk/samba/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-samba/trunk/samba
-XSBC-Bugtracker: nathan@andersonsplace.net
 
 Package: samba
 Architecture: any
-Depends: samba-common (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-13), procps, update-inetd, adduser
+Depends: samba-common (= ${source:Version}), samba-common-bin, libwbclient0 (= ${binary:Version}),${shlibs:Depends}, ${misc:Depends}, libpam-runtime (>= 1.0.1-11), libpam-modules, lsb-base (>= 3.2-13), procps, update-inetd, adduser
 Recommends: logrotate
-Suggests: openbsd-inetd | inet-superserver, smbldap-tools, ldb-tools, ctdb
+Suggests: openbsd-inetd | inet-superserver, smbldap-tools, ldb-tools, ufw
 Replaces: samba-common (<= 2.0.5a-2)
 Conflicts: samba4 (<< 4.0.0~alpha6-2)
 Description: SMB/CIFS file, print, and login server for Unix
@@ -136,6 +139,7 @@
 Priority: optional
 Architecture: any
 Depends: netbase (>= 2.02), samba-common (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
+Recommends: keyutils
 Suggests: smbclient
 Replaces: smbfsx
 Description: Samba file system utilities
@@ -147,6 +151,20 @@
  file systems. Other command-line utilities such as smbclient, smbtar
  and smbspool are in the package smbclient.
 
+Package: libpam-smbpass
+Section: admin
+Priority: extra
+Architecture: any
+Depends: ${shlibs:Depends}, samba-common (= ${source:Version}), ${misc:Depends},
+	 libpam-runtime (>= 1.0.1-6)
+Suggests: samba
+Description: pluggable authentication module for Samba
+ This is a module for PAM that enables a system administrator to migrate
+ user passwords from the Unix password database to the SMB password
+ database as used by Samba, and to subsequently keep the two databases in
+ sync.  Unlike other solutions, it does this without needing users to log
+ in to Samba using cleartext passwords, or requiring them to change their
+ existing passwords.
 
 Package: libsmbclient
 Section: libs
@@ -173,7 +191,7 @@
 Section: net
 Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, samba-common (= ${source:Version}), lsb-base (>= 3.0-6), adduser
+Depends: ${shlibs:Depends}, ${misc:Depends}, libwbclient0 (= ${binary:Version}), samba-common (= ${source:Version}), lsb-base (>= 3.0-6), adduser
 Replaces: samba (<= 2.2.3-2)
 Description: Samba nameservice integration server
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
@@ -207,6 +225,8 @@
 Priority: optional
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: likewise-open (<< 4.1.0.2956)
+Conflicts: likewise-open (<< 4.1.0.2956)
 Description: Samba winbind client library
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
  providing support for cross-platform file and printer sharing with
