=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,9 @@
   CFLAGS += -O2
 endif
 
+# Enable BIND_NOW to maximize benefit of RELRO hardening
+LDFLAGS = -Wl,-z,now
+
 DESTDIR=`pwd`/debian/tmp
 
 conf_args = \
@@ -28,7 +31,6 @@
 		--with-fhs \
 		--enable-shared \
 		--enable-static \
-		--disable-pie \
 		--prefix=/usr \
 		--sysconfdir=/etc \
 		--libdir=/usr/lib/samba \
@@ -37,19 +39,19 @@
 		--localstatedir=/var \
 		--with-rootsbindir=/sbin \
 		--with-pammodulesdir=/lib/security \
-		--without-pam \
+		--with-pam \
 		--with-syslog \
 		--with-utmp \
 		--with-readline \
-		--without-pam_smbpass \
+		--with-pam_smbpass \
 		--with-libsmbclient \
 		--with-winbind \
-		--with-shared-modules=idmap_rid,idmap_hash,idmap_tdb2 \
+		--with-shared-modules=idmap_rid,idmap_ad,idmap_adex,idmap_hash,idmap_ldap,idmap_tdb2 \
 		--with-automount \
-		--without-ldap \
-		--without-ads \
-		--with-smbmount \
-		--without-dnsupdate \
+		--with-ldap \
+		--with-ads \
+		--without-smbmount \
+		--with-dnsupdate \
 		--without-libtdb \
 		--without-libnetapi \
 		--with-modulesdir=/usr/lib/samba \
@@ -59,14 +61,14 @@
 		--with-lockdir=/var/run/samba \
 		--with-statedir=/var/lib/samba \
 		--with-cachedir=/var/cache/samba \
+		--enable-external-libtalloc \
 		--without-libtalloc \
 		--disable-avahi \
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
   conf_args += \
-		--without-ctdb --with-cluster-support=no \
 		--with-cifsmount \
-		--without-cifsupcall \
+		--with-cifsupcall \
 		--with-acl-support \
 		--with-quotas
   mount_cifs	= yes
@@ -90,7 +92,7 @@
 		cp -f debian/config.cache source3/config.cache; \
 	fi
 
-	[ -f source3/Makefile ] || (cd source3 && CFLAGS="$(CFLAGS)" ./configure $(conf_args))
+	[ -f source3/Makefile ] || (cd source3 && LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS)" ./configure $(conf_args))
 
 	touch configure-stamp
 
@@ -100,6 +102,7 @@
 
 	$(MAKE) -C source3 # headers
 	$(MAKE) -C source3 everything
+	$(MAKE) -C source3 nsswitch
 
 	touch build-stamp
 
@@ -131,7 +134,9 @@
 	dh_installdirs
 
 	mkdir -p $(DESTDIR)/usr/lib/cups/backend $(DESTDIR)/usr/share/samba \
-	         $(DESTDIR)/etc/pam.d $(DESTDIR)/etc/dhcp3/dhclient-enter-hooks.d
+	         $(DESTDIR)/etc/pam.d $(DESTDIR)/etc/dhcp3/dhclient-enter-hooks.d \
+		$(DESTDIR)/etc/ufw/applications.d
+	
 
 	$(MAKE) -C source3 install DESTDIR=$(DESTDIR)
 
@@ -156,6 +161,8 @@
 	# Install other stuff not installed by "make install"
 	install -m 0755 debian/mksmbpasswd.awk $(DESTDIR)/usr/sbin/mksmbpasswd
 	install -m 0644 debian/mksmbpasswd.8 $(DESTDIR)/usr/share/man/man8/mksmbpasswd.8
+	install -m 0644 nsswitch/libnss_winbind.so $(DESTDIR)/lib/libnss_winbind.so.2
+	install -m 0644 nsswitch/libnss_wins.so $(DESTDIR)/lib/libnss_wins.so.2
 	# Install torture stuff
 	install -m 0755 source3/bin/smbtorture $(DESTDIR)/usr/bin/smbtorture
 	install -m 0755 source3/bin/msgtest $(DESTDIR)/usr/bin/msgtest
@@ -168,6 +175,9 @@
 	install -m 0755 source3/bin/replacetort $(DESTDIR)/usr/bin/replacetort
 	install -m 0755 source3/bin/tdbtorture $(DESTDIR)/usr/bin/tdbtorture
 	install -m 0755 source3/bin/smbconftort $(DESTDIR)/usr/bin/smbconftort
+	mkdir -p $(DESTDIR)/usr/share/pam-configs
+	install -m 0644 debian/libpam-smbpass.pam-config $(DESTDIR)/usr/share/pam-configs/smbpasswd-migrate
+	install -m 0644 debian/winbind.pam-config $(DESTDIR)/usr/share/pam-configs/winbind
 
 ifeq ($(mount_cifs),yes)
 	install -m 0755 debian/mount.smbfs $(DESTDIR)/sbin/mount.smbfs
@@ -177,6 +187,9 @@
 	#	to make the following symlink (according to
 	#	Erich Schubert <debian@vitavonni.de> in #109509):
 	ln -s ../../../bin/smbspool $(DESTDIR)/usr/lib/cups/backend/smb
+
+	# ufw integration
+	install -m644 debian/samba.ufw.profile $(DESTDIR)/etc/ufw/applications.d/samba
 
 	cp debian/smb.conf* $(DESTDIR)/usr/share/samba/
 	install -m755 debian/panic-action $(DESTDIR)/usr/share/samba/panic-action
@@ -184,9 +197,9 @@
 	# correct place by dh_movefiles.
 	cp debian/gdbcommands $(DESTDIR)/etc/samba/
 	install -m755 debian/samba-common.dhcp $(DESTDIR)/etc/dhcp3/dhclient-enter-hooks.d/samba
-	cp codepages/lowcase.dat debian/tmp/usr/share/samba/lowcase.dat
-	cp codepages/upcase.dat debian/tmp/usr/share/samba/upcase.dat
-	cp codepages/valid.dat debian/tmp/usr/share/samba/valid.dat
+	mkdir -p $(DESTDIR)/etc/network/if-up.d
+	install -o root -g root debian/samba.if-up $(DESTDIR)/etc/network/if-up.d/samba
+	install -D -m 644 debian/source_samba.py $(DESTDIR)/usr/share/apport/package-hooks/source_samba.py
 
 	dh_movefiles
 	dh_installpam --name=samba
@@ -223,31 +236,10 @@
 	dh_installexamples
 	dh_installlogrotate
 	dh_installlogcheck
-	DH_OPTIONS= dh_installinit -psamba -- "defaults 20 19"
+	DH_OPTIONS= dh_installinit -psamba --upstart-only --name smbd
+	DH_OPTIONS= dh_installinit -psamba --upstart-only --name nmbd
 	DH_OPTIONS= dh_installinit -pwinbind
 	dh_installcron 
-	for pkg in samba samba-common smbfs winbind; do \
-	  install -m 0644 -D debian/$$pkg.lintian debian/$$pkg/usr/share/lintian/overrides/$$pkg || exit; \
-	done
+	dh_lintian
 	dh_installchangelogs -Nlibpam-smbpass
 	DH_OPTIONS= dh_installchangelogs -plibpam-smbpass source3/pam_smbpass/CHANGELOG
-	DH_OPTIONS= dh_strip -psamba -psmbclient -pwinbind -psamba-common-bin --dbg-package=samba-dbg
-	DH_OPTIONS= dh_strip -Nsamba -Nsmbclient -Nwinbind -Nsamba-common-bin
-	dh_link
-	dh_compress
-	dh_fixperms
-
-	# Upstream makefile installs this using "install" without -m, so
-	# it becomes executable
-	chmod a-x debian/libsmbclient-dev/usr/include/libsmbclient.h
-
-ifeq ($(mount_cifs),yes)
-	chmod u+s debian/smbfs/sbin/mount.cifs
-	chmod u+s debian/smbfs/sbin/umount.cifs
-endif
-
-	# Set some reasonable default perms for the samba logdir.
-	chmod 0750 debian/samba-common/var/log/samba/
-	chown root:adm debian/samba-common/var/log/samba/
-	chmod 1777 debian/samba/var/spool/samba/
-
